[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

[PATCH] generate subversion.pot in dist.sh

From: Mattias Engdegård <mattiase_at_bredband.net>
Date: Tue, 6 May 2014 23:52:13 +0200

Translators will need the subversion.pot file; it should be present in
the source distribution. Presumably, the right way to ensure that is
to have dist.sh generate it, similar to the way the configure script
is created.

[[[
Have dist.sh generate subversion.pot for the benefit of translators
who need
it in the source distribution.

* tools/dist/dist.sh: Generate subversion.pot by running po-update.sh.
]]]

Index: tools/dist/dist.sh
===================================================================
--- tools/dist/dist.sh (revision 1592160)
+++ tools/dist/dist.sh (arbetskopia)
@@ -292,6 +292,10 @@
   (cd "$DISTPATH" && ./autogen.sh --release) || exit 1
 fi
 
+# Generate the .pot file, for use by translators.
+echo "Running po-update.sh in sandbox, to create subversion.pot..."
+(cd "$DISTPATH" && tools/po/po-update.sh pot) || exit 1
+
 # Pre-translate the various sql-derived header files
 echo "Generating SQL-derived headers..."
 for f in `find "$DISTPATH/subversion" -name '*.sql'`; do

Received on 2014-05-06 23:55:36 CEST

This is an archived mail posted to the Subversion Dev mailing list.

This site is subject to the Apache Privacy Policy and the Apache Public Forum Archive Policy.